| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
NCVVector< T > Class Template Reference
CUDA-accelerated Computer Vision » Legacy support

`#include <opencv2/cudalegacy/NCV.hpp>`

Collaboration diagram for NCVVector< T >:

## Public Member Functions
| NCVVector ()
virtual | ~NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
size_t | length () const
NCVMemoryType | memType () const
T * | ptr () const

## Protected Attributes
size_t | _length
NCVMemoryType | _memtype
T * | _ptr

## Detailed Description

template<class T>
class NCVVector< T >

NCVVector (1D)

## Constructor & Destructor Documentation

## ◆ NCVVector()

template<class T >

NCVVector< T >::NCVVector | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ ~NCVVector()

template<class T >

virtual NCVVector< T >::~NCVVector | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ clear()

template<class T >

void NCVVector< T >::clear | ( |  | ) |
| inline

## ◆ copySolid()

template<class T >

NCVStatus NCVVector< T >::copySolid | ( | NCVVector< T > & | dst,
|  | cudaStream_t | cuStream,
|  | size_t | howMuch = 0 ) const
| inline

Here is the call graph for this function:

## ◆ length()

template<class T >

size_t NCVVector< T >::length | ( |  | ) | const
| inline

## ◆ memType()

template<class T >

NCVMemoryType NCVVector< T >::memType | ( |  | ) | const
| inline

## ◆ ptr()

template<class T >

T * NCVVector< T >::ptr | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ _length

template<class T >

size_t NCVVector< T >::_length
| protected

## ◆ _memtype

template<class T >

NCVMemoryType NCVVector< T >::_memtype
| protected

## ◆ _ptr

template<class T >

T* NCVVector< T >::_ptr
| protected

The documentation for this class was generated from the following file:

- opencv2/cudalegacy/NCV.hpp